import ModelBase from '../ModelBase.mjs';
import { ZMQ_PUB_CHANNELS } from '../../system/constants.mjs';

export class Data extends ModelBase {
    /**
     * @typedef {Class} Data
     */

    /**
     * @method
     * @param {Object} data - data
     * @property {String} data.mac - hardware MAC address
     * @property {String} data.ts - data timestamp in ISO 8601 format
     * @property {String} data.hex - HEX data related to trackable
     * @property {String|Null} data.tk_uid - trackable unique id
     * @example {
     *      mac: 'AC11828B1749'
     *      ts: '2021-07-01T12:44:11.720Z'
     *      hex: 'AAAAFF0001'
     *      tk_uid: 'J5dSantkTGGM6M1f2Ou-YQ'
     * }
     * @return {Object} - ZMQ message
     */
    static notifyMessage(data) {
        return {
            channel: ZMQ_PUB_CHANNELS.DATA,
            data,
        };
    }
}
