import logger from '../../api/logger.mjs';

export class ErrorHandler {
    static handleInternalError(err) {
        if (err.message && err.stack) {
            logger.error(`[ErrorHandler] ${err.message}, ${err.stack}`);
        } else {
            logger.error(`[ErrorHandler] ${err}`);
        }
    }

    static handleRequestError(err) {
        if (!err) {
            return undefined;
        }
        if (!err.isOperational) {
            ErrorHandler.handleInternalError(err);
        }

        return undefined;
    }
}
