/**
 * @function
 * @param {Object} location - database location
 * @return {Object} - location
 */
export function formatLocationResponse(location) {
    const responseLocation = { ...location };

    return {
        ...responseLocation,
        network_id: Number(responseLocation.network_id),
    };
}

/**
 * @function
 * @param {Array<Object>} locations - database location
 * @return {Array<Object>} - locations
 */
export function formatLocationResponseList(locations) {
    return locations.map(formatLocationResponse);
}
