/**
 * @function
 * @param {Object} lsbSchedule - database lsbSchedule
 * @return {Object} - lsbSchedule
 */
export function formatResponse(lsbSchedule) {
    const content = JSON.parse(lsbSchedule.content);
    return {
        ...lsbSchedule,
        content: content.map((contentItem) => ({
            ...contentItem,
            boundary: !!contentItem.boundary,
        })),
    };
}
/**
 * @function
 * @param {Array} lsbSchedules - database lsbSchedule
 * @return {Array} - lsbSchedule
 */
export function formatResponseList(lsbSchedules) {
    return lsbSchedules.map(formatResponse);
}
