import { NODE_TYPE } from '../../system/constants.mjs';
import { NodeBase } from './NodeBase.mjs';

/**
 * @swagger
 * components:
 *  schemas:
 *      NodeCreateBody:
 *          type: object
 *          properties:
 *              mac:
 *                  type: string
 *                  description: hardware MAC address 12 characters length (6 bytes heximal value).
 *      Node:
 *          type: object
 *          properties:
 *              mac:
 *                  type: string (6 bytes)
 *                  description: Node MAC address (in upper case)
 *              node_id:
 *                  type: number
 *                  description: Node numeric identifier (1...65535)
 *              last_heard:
 *                  type: string (ISO 8601)
 *                  description: Last activity timestamp
 *              created_at:
 *                  type: string (ISO 8601)
 *                  description: Timestamp of node creation
 *              cbid:
 *                  type: string
 *                  description: Carrier board identifier
 *      Nodes:
 *          type: object
 *          properties:
 *              nodes:
 *                  type: array
 *                  items:
 *                      $ref: '#/components/schemas/Node'
 */
export class Node extends NodeBase {
    /**
     * @property {String|null}
     */
    static object = 'node';

    constructor() {
        super(NODE_TYPE.WIN);
    }
}
