import UseCaseBase from '../UseCaseBase.mjs';
import { Location } from '../../models/index.mjs';

export class LocationSave extends UseCaseBase {
    static validationRules = {
        name: ['strict_string', 'not_empty', 'required'],
    };

    async execute(params) {
        const location = await new Location().save(params);

        await this.notificator.notify(Location.savedMessage(location));

        return location;
    }
}
