import UseCaseBase from '../UseCaseBase.mjs';
import { Location } from '../../models/index.mjs';

export class LocationUpdate extends UseCaseBase {
    static validationRules = {
        uid: ['strict_string', 'required'],
        name: ['strict_string', 'not_empty'],
    };

    async execute(params) {
        const location = await new Location().update(params);

        await this.notificator.notify(Location.updatedMessage(location));

        return location;
    }
}
