import UseCaseBase from '../UseCaseBase.mjs';
import { NodeAssociation } from '../../models/index.mjs';

export class NodeAssociationSave extends UseCaseBase {
    static validationRules = {
        mac: ['not_empty', 'mac_address', 'required'],
        anchor_uid: ['strict_string', 'not_empty', 'required'],
    };

    async execute(options) {
        const savedNodeAssociation = await new NodeAssociation().save(options);

        await this.notificator.notify(NodeAssociation.savedMessage(savedNodeAssociation));
        return savedNodeAssociation;
    }
}
