import UseCaseBase from '../UseCaseBase.mjs';
import { Sublocation } from '../../models/index.mjs';

export class SublocationSave extends UseCaseBase {
    static validationRules = {
        location_uid: ['strict_string', 'not_empty', 'required'],
        name: ['strict_string', 'not_empty', 'required'],
        elevation: ['strict_integer', { multiple: 10 }, { default: 0 }],
    };

    async execute(params) {
        const sublocation = await new Sublocation().save(params);

        await this.notificator.notify(Sublocation.savedMessage(sublocation));

        return sublocation;
    }
}
