import UseCaseBase from '../UseCaseBase.mjs';
import { TagAssociation } from '../../models/index.mjs';

export class TagAssociationClose extends UseCaseBase {
    static validationRules = {
        mac: ['not_empty', 'mac_address', { require_if_rule: { trackable_uid: undefined } }],
        trackable_uid: ['not_empty', { require_if_rule: { mac: undefined } }],
    };

    async execute(options) {
        const association = await new TagAssociation().close(options);

        await this.notificator.notify(TagAssociation.deletedMessage(association));

        return association;
    }
}
