import RepoBase from '../RepoBase.mjs';

// todo: reduce field count in Solution* (apps/sync/lib/solutionRepository/lib/api/documents) to required only,
//  update solution sql accordingly
/**
 * @typedef SolutionAnchor {Object}
 * @property uid {String}
 * @property name {String}
 * @property position_x {Number}
 * @property position_y {Number}
 * @property position_z {Number}
 * @property sublocation_uid {String}
 * @property win_type_id {Number}
 * @property created_at {Date}
 * @property updated_at {Date}
 */

/**
 * @class AnchorRepository
 * @description create access for the anchors in the solutions DB
 */
export class AnchorRepository extends RepoBase {
    /**
     * @param {Object} options - repository options
     * @param {Object} options.repositoryInstance - database connection
     */
    constructor(options) {
        const { repositoryInstance } = options;
        super(repositoryInstance);
    }

    /**
     *
     * @return {Promise<SolutionAnchor[]>}
     */
    async readAll() {
        return (await this.repoInstance.queryAsync(AnchorRepository.readAllSql) || []);
    }
    
    static get readAllSql() {
        return `select
                    uid, name, win_type_id, created_at, updated_at, position_x, position_y, position_z, sublocation_uid
                from view_win_anchors;`
    }
}
