import diff from 'diff-arrays-of-objects';
import { Node } from '../../models/index.mjs';
import { logSyncReport } from '../../utils/index.mjs';

export async function syncNodes() {
    const node = new Node();
    const platformItems = await node.collectPlatformEntities();
    const solutionItems = await node.collectSolutionEntities(platformItems);

    const { added, updated, removed, same } = diff(platformItems, solutionItems, 'uid');
    
    await node.removeInPlatform(removed);
    await node.updateInPlatform(updated);
    await node.addToPlatform(added);
    
    logSyncReport('Nodes', added, updated, removed, same);
}
