import diff from 'diff-arrays-of-objects';
import { Trackable } from '../../models/index.mjs';
import { logSyncReport } from '../../utils/index.mjs';

export async function syncTrackables() {
    const trackable = new Trackable();
    const solutionItems = await trackable.collectSolutionEntities();
    const platformItems = await trackable.collectPlatformEntities();
    
    const { added, updated, removed, same } = diff(platformItems, solutionItems, 'uid');
    
    await trackable.removeInPlatform(removed);
    await trackable.updateInPlatform(updated);
    await trackable.addToPlatform(added);

    logSyncReport('Trackables', added, updated, removed, same);
}
