import { main } from '../app.mjs';
import dbData from './solution-db-data.json' assert { type: 'json' };
import {
    AnchorRepository,
    AssocRepository,
    LocationRepository,
    TrackableRepository,
    SublocationRepository
} from '../lib/solutionRepository/lib/api/documents/index.mjs';

let initialized;
export const Service = () => {
    const serviceStart = async () => {
        return main();
    };

    return {
        init: async () => {
            if (!initialized) {
                initialized = await serviceStart();
            }
            return initialized;
        }
    };
};

export function fakeQueryAsync(sql) {
    return new Promise(function(resolve) {
        if (sql === TrackableRepository.readAllSql) {
            resolve(dbData.trackables.view_trackable_objects);
        } else if (sql === AssocRepository.readAllTkoAssocSql) {
            resolve(dbData.associations.view_trackable_objects_associations);
        } else if (sql === AnchorRepository.readAllSql) {
            resolve(dbData.anchors.view_win_anchors);
        } else if (sql === LocationRepository.readAllSql) {
            resolve(dbData.locations.view_locations);
        } else if (sql === SublocationRepository.readAllSql) {
            resolve(dbData.sublocations.view_sublocations);
        } else {
            resolve([]);
        }
    });
}
