import {
    TrackableRepository,
    AnchorRepository,
    LocationRepository,
    SublocationRepository,
    NodeRepository,
    NodeIdRepository,
    NetworkIdRepository,
    SublocationIdRepository,
    AssocRepository,
    NetworkSettingRepository,
    NetworkLsbScheduleRepository,
} from './documents/index.mjs';

export class Repository {
    /**
     * @typedef {Class} Repository
     */

    /**
     * @type {TrackableRepository} returns DB access to trackables
     */
    trackable = null;

    /**
     *
     * @type {NodeRepository} returns DB access to node
     */

    node = null;
    /**
     *
     * @type {NodeIdRepository} returns DB access to nodeId
     */
    nodeId = null;

    /**
     *
     * @type {NetworkIdRepository} returns DB access to networkId
     */
    networkId = null;

    /**
     *
     * @type {SublocationIdRepository} returns DB access to networkId
     */
    sublocationId = null;

    /**
     * @type {AnchorRepository} returns DB access to anchors
     */
    anchor = null;

    /**
     * @type {LocationRepository} returns DB access to locations
     */
    location = null;

    /**
     * @type {SublocationRepository} returns DB access to locations
     */
    sublocation = null;

    /**
     * @type {AssocRepository} returns DB access to associations
     */
    association = null;

    /**
     * @type {NetworkSettingRepository} returns DB access to network settings
     */
    networkSetting = null;

    /**
     * @type {NetworkLsbScheduleRepository} returns DB access to network lsb schedule
     */
    networkLsbSchedule = null;

    /**
     * @param {Object} options - repository options
     * @param {Object} options.repositoryInstance - database connection
     * @param {String} options.prefix - database prefix
     */
    constructor(options) {
        this.trackable = new TrackableRepository(options);
        this.anchor = new AnchorRepository(options);
        this.location = new LocationRepository(options);
        this.sublocation = new SublocationRepository(options);
        this.node = new NodeRepository(options);
        this.nodeId = new NodeIdRepository(options);
        this.networkId = new NetworkIdRepository(options);
        this.sublocationId = new SublocationIdRepository(options);
        this.association = new AssocRepository(options);
        this.networkSetting = new NetworkSettingRepository(options);
        this.networkLsbSchedule = new NetworkLsbScheduleRepository(options);
    }
}
