import { IdBaseRepository } from './IdBaseRepository.mjs';

export class NodeIdRepository extends IdBaseRepository {
    /**
     * @typedef {Class} NodeIdRepository
     */

    /**
     * @param {Object} options - repository options
     * @param {Object} options.repositoryInstance - database connection
     * @param {String} options.prefix - database prefix
     */
    constructor(options) {
        const { nodeIdLimit } = options;
        super( {...options, maxIdValue: nodeIdLimit} , 'node_id');
    }
}
