import { IdBaseRepository } from './IdBaseRepository.mjs';

export class SublocationIdRepository extends IdBaseRepository {
    /**
     * @typedef {Class} SublocationIdRepository
     */

    /**
     * @param {Object} options - repository options
     * @param {Object} options.repositoryInstance - database connection
     * @param {String} options.prefix - database prefix
     */
    constructor(options) {
        const { sublocationIdLimit } = options;
        super({ ...options, maxIdValue: sublocationIdLimit }, 'sublocation_id');
    }
}
